﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Transactions;
using TxClientApp.MsmqTxService;

namespace TxClientApp
{
	public partial class TxClientForm : Form
	{
		public TxClientForm()
		{
			InitializeComponent();
		}

		private void btnCallService_Click(object sender, EventArgs e)
		{
			int callCount = (int)numCallCount.Value;
			using (TransactionScope scope = new TransactionScope()) {
				using (MsmqTxServiceClient proxy = new MsmqTxServiceClient()) {
					for (int i = 0; i < callCount; i++) {
						string data = String.Format("Data #{0}", i);
						proxy.TxServiceMethod(data);
					}
				}
				if (ckbAbortTransaction.Checked == false) {
					scope.Complete();
				}
			}
		}
	}
}
