﻿using System;
using System.EnterpriseServices;

[assembly: ApplicationName("Hello World Enterprise Service Demo")]
[assembly: ApplicationActivation(ActivationOption.Server)]
[assembly: ApplicationAccessControl(false)]

namespace COMPlusService
{
	//
	// COM+/DCOM 서비스 프로그래밍 모델
	//
	[Transaction(TransactionOption.Required,
				Isolation=TransactionIsolationLevel.ReadCommitted)]
	[JustInTimeActivation(true)]
	[ObjectPooling(false)]
	[System.Runtime.InteropServices.ComVisible(true)]
	public class HelloWorldComponent : ServicedComponent
	{
		public string SayHello()
		{
			// 데이터 액세스 등 트랜잭션 자원을 액세스하면
			// 분산 트랜잭션으로 묶이게 된다.
			// (간단한 예제이므로 생략)

			return "Hello World";
		}
	}
}
