﻿using System;
using MultipleServiceClientApp.MyService1;
using MultipleServiceClientApp.MyService2;

namespace MultipleServiceClientApp
{
	class ClientApp
	{
		static void Main(string[] args)
		{
			Console.WriteLine("Multiple Service Client Sample......");

			using (MyContract1Client proxy = new MyContract1Client()) {
				Console.WriteLine("Result #1 : {0}", proxy.MyMethod1());
			}

			using (MyContract2Client proxy = 
					new MyContract2Client("WSHttpBinding_IMyContract2")) {
				Console.WriteLine("Result #2 : {0}", proxy.MyMethod2());
			}

			using (MyContract3Client proxy = new MyContract3Client()) {
				Console.WriteLine("Result #3 : {0}", proxy.MyMethod3());
			}
		}
	}
}
