﻿using System;
using System.Collections.Generic;
using System.Text;
using SecureClientApp.SecureService;
using System.Security.Cryptography.X509Certificates;

namespace SecureClientApp
{
	class ClientApp
	{
		static void Main(string[] args)
		{
			Console.WriteLine("Test Client of TransportWithMessageCredentials security mode");

			using (SecureServiceClient proxy = new SecureServiceClient()) {
				proxy.ClientCredentials.ClientCertificate.SetCertificate(
					"CN=TestUser", StoreLocation.CurrentUser, StoreName.My);

				proxy.SecureMethod("Greeting !");
			}
		}
	}
}
